> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yativo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Accounts

> Retrieve all accounts associated with the authenticated user

<ParamField header="Authorization" type="string" required>
  Bearer token: `Bearer YOUR_ACCESS_TOKEN`
</ParamField>

<RequestExample>
  ```bash theme={null}
  curl -X GET 'https://crypto-api.yativo.com/api/v1/accounts/get-accounts' \
    -H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "data": [
      {
        "_id": "acc_6615c3b2e55d9ff7bc0a5678",
        "account_name": "Default Account",
        "user_id": "usr_6615c3a1e55d9ff7bc0a1234",
        "assets": "1",
        "account_value": 0.3,
        "portfolio": "0.00",
        "archived": "0",
        "subaccount": false,
        "createdAt": "2026-01-13T22:06:20.231Z",
        "updatedAt": "2026-03-08T10:30:03.778Z"
      }
    ],
    "status": true,
    "message": "Accounts and assets listed successfully"
  }
  ```
</ResponseExample>
